G15Daemon(1)

NAME
g15daemon - provides access to extra keys and the LCD available on the logitech G15 keyboard.

DESCRIPTION
G15Daemon allows users access to all extra keys by decoding them and pushing them back into the kernel via the linux UINPUT driver. This driver must be loaded before g15daemon can be used for keyboard access. The G15 LCD is also supported. By default, with no other clients active, g15daemon will display a clock. Client applications and scripts can access the LCD via a simple API.

OPTIONS
The current version of G15Daemon understands the following options:

-v       Show version info.

-s     By default, g15daemon uses the L1 key to switch between client screens.  Using this switch on the cmdline alters this, making
MR (Macro Record) the button to achieve this function.

-k      Stop a previously running copy of G15Daemon.  For the keys and LCD to work, you'll have to restart the daemon manually.

-h      Show a brief summary of commandline options available.

BASIC USAGE
G15Daemon must be run as the root user, either from a startup script (sample scripts are available in the contrib folder) or manually, via the su command. To run the daemon with default options, run:
    g15daemon or
    g15daemon -s to have the MR key as the client screen switch. If all required libraries are installed and in locations known to your operating system, the daemon will slip quietly into the background and a clock will appear on the LCD. Congratulations! The linux kernel will now output keycodes for all your extra keys.

Using the keys in X11
Current versions of the Xorg Xserver dont have support for the extra keys that g15daemon provides. This support will be available in the next release of Xorg (7.2). For now, if you want access to the extra keys for hotkey support in X11, you need to run the xmodmaprc script on each start of X. This script is available in the contrib folder (if g15daemon is installed in the default location, the contrib folder is in /usr/share/doc/g15daemon-${VERSION}/contrib Depending on your linux distribution, copying the xmodmaprc file (or pasting the text below) into ~/.Xmodmap may be all that's required.

Xmodmaprc file
Copy the following into ~/.Xmodmap (depending on your distribution) for X11 to recognise all extra G15 keys: -- cut here --
keycode 93 = XF86Launch1
keycode 129 = XF86Launch8
keycode 130 = XF86Launch9
keycode 131 = XF86Launch2
keycode 132 = XF86Phone
keycode 133 = XF86Messenger
keycode 136 = XF86LaunchD
keycode 137 = XF86Support
keycode 138 = XF86Word
keycode 143 = XF86LaunchF
keycode 144 = XF86AudioPrev
keycode 150 = XF86LogOff
keycode 152 = XF86Launch5
keycode 153 = XF86AudioNext
keycode 160 = XF86AudioMute
keycode 161 = XF86Travel
keycode 162 = XF86AudioPlay
keycode 163 = XF86Spell
keycode 164 = XF86AudioStop
keycode 170 = XF86VendorHome
keycode 174 = XF86AudioLowerVolume
keycode 176 = XF86AudioRaiseVolume
keycode 177 = XF86Launch4
keycode 178 = XF86HomePage
keycode 182 = XF86Away
keycode 183 = XF86WebCam
keycode 184 = XF86Launch0
keycode 188 = XF86Music
keycode 190 = XF86Launch6
keycode 194 = XF86Forward
keycode 195 = XF86Send
keycode 205 = XF86Calendar
keycode 208 = XF86Launch7
keycode 209 = XF86LaunchB
keycode 210 = XF86LaunchC
keycode 215 = XF86Save
keycode 219 = XF86WWW
keycode 220 = XF86LaunchE
keycode 223 = XF86Sleep
keycode 228 = XF86Pictures
keycode 231 = XF86LaunchA
keycode 236 = XF86Mail
keycode 237 = XF86AudioMedia
keycode 246 = XF86iTouch
keycode 247 = XF86Launch3
keycode 249 = XF86ToDoList
keycode 251 = XF86Calculater
-- end cutting --

AUTHORS
The latest release of g15daemon is available at

http://g15daemon.sourceforge.net

G15daemon was written by Mike Lampard mlampard@users.sourceforge.net and uses the libg15 library by Philip Lawatsch and Anthony J. Mirabella of the g15tools project. (g15tools.sourceforge.net)

The Python bindings for libg15daemon_client were written by Sven Ludwig.

Many thanks to everyone who has assisted in reporting bugs, misfeatures and made feature requests. An up to date list of all authors is available in the AUTHORS file distributed in the source.

LICENSE
G15daemon, libg15daemon_client and other sourcecode in this package are licensed under the GPL (General Public License), version 2 or later. Details on this license are available in the LICENSE document in the root directory of the source package, and at http://www.fsf.org